/*
 * CAMAC stuff specific to the Aachen DBCC controller
 */

#ifndef _LINUX_DBCC_H
#define _LINUX_DBCC_H

#include <camac.h>

/* 
 * The major device number and the driver name
 * The device number can be overwritten during module loading
 * with the option "major=25"
 */

#define AC_MAJOR 24
#define AC_NAME "dbcc"

/*
 * Maximal number of crates
 */

#define AC_MAX_CRATES 15

/*
 * The crate number for broadcasting
 */

#define AC_BROADCAST_CRATE 15

/*
 * Define the default port address for the ACCAMAC interface
 * may be overwritten in the command line with the option
 * "camac=0x320"
 */

#define AC_BASE_ADDRESS 0x300

/*
 * The amount of addresses to be allocated
 */

#define AC_BASE_EXTEND 6

/*
 * Start a CAMAC cycle (part of the NAF code)
 */

#define AC_START_CYCLE 0x8000

/*
 * Define maximal values for timeout and for nr of bytes
 */

#define AC_MAX_TIMEOUT 800 /* =8sec */
#define AC_MAX_WORDS 1024 /* max number of words in the block i/o mode */

#endif /* ndef _LINUX_DBCC_H */

